package com.engine.jucailinkq.attendance.component.persongroup.service;

import java.util.Map;

public interface SchedulingResultsService {
    /**
     * 获得所有排班结果
     * @param params
     * @return
     */
    Map<String,Object> queryDataTable(Map<String,Object> params);


    /**
     * 获得会使用的排班结果
     * @param params
     * @return
     */
    Map<String,Object> queryDataTableActualUse(Map<String,Object> params);

    /**
     * 出勤结果更改时插入排班结果
     * @param params
     * @return
     */
    Map<String,Object> saveScheduleResult(Map<String,Object> params);


    /**
     * 生成排班结果
     * @param params
     * @return
     */
    Map<String,Object> generateSchedule(Map<String,Object> params);

    /**
     * 删除排班结果
     * @param params
     * @return
     */
    Map<String,Object> deleteBatchSchedule(Map<String,Object> params);
}
